### A free/open-source library for quantitative finance

Public Member Functions
PathPricer< PathType, ValueType > Class Template Reference
Monte Carlo framework

base class for path pricers More...

`#include <ql/methods/montecarlo/pathpricer.hpp>`

Inherits unary_function< PathType, ValueType >.

List of all members.

## Public Member Functions

virtual ValueType | operator() (const PathType &path) const =0

## Detailed Description

### template<class PathType, class ValueType = Real>
class QuantLib::PathPricer< PathType, ValueType >

base class for path pricers

Returns the value of an option on a given path.

Examples:
  DiscreteHedging.cpp.